package model;

/**
 * Gestione dei dati di un atleta
 * @author Gianni
 */
public class Atleta {
  private int pettorale;
  private String cognomeNome;
  private double peso;

  /**
   * Costruttore
   * @param pettorale
   * @param cognomeNome
   * @param peso 
   */
  public Atleta(int pettorale, String cognomeNome, double peso) {
    this.pettorale = pettorale;
    this.cognomeNome = cognomeNome;
    this.peso = peso;
  }

  /**
   * getter Cognome e Nome
   * @return 
   */
  public String getCognomeNome() {
    return cognomeNome;
  }

  /**
   * setter cognome e nome
   * @param cognomeNome 
   */
  public void setCognomeNome(String cognomeNome) {
    this.cognomeNome = cognomeNome;
  }

  /**
   * getter peso
   * @return 
   */
  public double getPeso() {
    return peso;
  }

  /**
   * setter peso
   * @param peso 
   */
  public void setPeso(double peso) {
    this.peso = peso;
  }

  /**
   * getter pettorale
   * @return 
   */
  public int getPettorale() {
    return pettorale;
  }

  /**
   * setter pettorale
   * @param pettorale 
   */
  public void setPettorale(int pettorale) {
    this.pettorale = pettorale;
  }

  /**
   * Converte in String
   * @return 
   */
  @Override
  public String toString() {
    return "Atleta{" + "pettorale=" + pettorale + ", cognomeNome=" + cognomeNome + ", peso=" + peso + '}';
  }
  
  
}
